test for existence of test_files/
diff --git a/test/test_bins.sh b/test/test_bins.sh
index 030d835..0c93dfd 100755
--- a/test/test_bins.sh
+++ b/test/test_bins.sh
@@ -22,6 +22,8 @@
 PATH=../src/flac:../obj/bin:$PATH
 BINS_PATH=../../test_files/bins
 
+test -d ${BINS_PATH} || exit 77
+
 test_file ()
 {
 	name=$1